# Tomcat
server:
  compression:
    enabled: true
    mime-types: application/json,application/xml
  tomcat:
    uri-encoding: UTF-8
  port: 8311
  display-name: huludao_river

spring:
  application:
    name: huludao_river
  profiles: #本地测试中直接在虚拟机设置，部署时采用--spring.profiles.active指定环境
    active: dev   # 默认选择开发环境
  # jackson时间格式化
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  http:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
      enabled: true
  # 指定静态资源的路径
  resources:
    static-locations: classpath:/static/,classpath:/views/

# Mybatis配置
mybatis-plus:
  mapper-locations: classpath:mapper/**/*.xml
  typeAliasesPackage: com.newfiber.api.pc.**.model
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 2
    #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
    field-strategy: 1
    #驼峰下划线转换
    db-column-underline: true
    #刷新mapper 调试神器
    refresh-mapper: true
    #数据库大写下划线转换
    #capital-mode: true
    #序列接口实现类配置
    #key-generator: com.onedt.springboot.xxx
    #逻辑删除配置
    logic-delete-value: 1
    logic-not-delete-value: 0
    #自定义SQL注入器
    sql-injector: com.baomidou.mybatisplus.mapper.LogicSqlInjector
    #自定义填充策略接口实现
    #meta-object-handler: com.newfiber.api.core.utils.MyMetaObjectHandler
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
#logging:
#  level:
#    com:
#      newfiber:
#        api:
#          pc:
#            dao: error
#            web: error